Look Up Paylink

Learn how you can look up a specific paylink

Overview

You may want to look up a Paylink for a number of reasons, like reviewing the details so you can modify it, or just to confirm its status.

API Request

👍

This endpoint uses API Key Authentication

Check out our API KEY Authentication Section to learn more

This endpoint references the paylinkId of the Paylink, which was provided in the response body when you created the Paylink.

To look up a Paylink, send an API call to:

Staging:GET https://paylinks.staging.skipify.com/{paylinkId}

Production:GET https://paylinks.skipify.com/{paylinkId}

API Response

Response Body Parameters

The response body will include all of the elements that you passed to us when you created the Payment Request. It will also include the following:

NameTypeDescription
paylinkIdstringSkipify’s unique identifier for the Paylink. This ID will be needed to use the other endpoints. UUID max 36 char.
linkstring (url)The URL for this Paylink. Max 255 char.
shortLinkstring(url)The short link URL for this Paylink. Max 255 char.
merchantInvoiceIdstringA unique identifier that you send with the request is returned in the response. This identifier will not be visible to the customer. It can be used for your reference to link a Skipify order to a record in your systems. Max 255 char unless using WPG, then 25 char.
currencyCodestringThe currency used to create the Paylink. Only USD supported currently. Max 55 char.
merchantIdstringThe merchantId that this Paylink was created for. UUID max 36 char.
metadataobjectIf sent in the request, will be returned in the response
descriptionstringThe description sent with the Paylink create request. This will be displayed to the customer. Max 255 char.
memostringThe memo sent with the Paylink create request. This will be displayed to the customer. Max 255 char.
taxintegerIf tax was included in the Paylink create request, will be returned in the response
shippingintegerIf shipping was included in the Paylink create request, will be returned in the response
orderIdstringwill be Null unless Paylink status = Paid, Partially_Paid, Refunded, or Partially_Refunded. Max 50 char.
expirationdateTime, stringThe expiration ISO 8601 date/time of the Paylink if it was set in the Request. Ex:
2024-06-02T21:48:02Z
sendSmsbooleanThe boolean flag set on the request
sendEmailbooleanThe boolean flag set on the request
createdAtdateTime, stringThe ISO 8601 date/time the Paylink was created.
updatedAtdateTime, stringThe ISO 8601 date/time the Paylink was most recently updated.
customerConsentbooleanThe boolean flag set in the request, must be true to send
totalintegerTotal amount of lineItems, shipping, tax
orderTotalintegerThe total plus any fees applied during payment
approvedAmountintegerThe amount that was approved for during payment
lastSentAtdateTime, stringThe last ISO 8601 datetime the Paylink was sent to the customer
bnplobjectJSON null when the paylink is not BNPL; object when Flex Pay data was supplied at create.
paymentMethodTypeenumcard, bank_account
isFlexPaybooleanIndicates if paylink was completed with Flex Pay BNPL
lineItemsarrayAn array of Line Items sent when the Paylink was created
statusenumDenotes what status the Paylink is in
  • Created* means the request to generate a Paylink was successful. No other action by the customer or Skipify has been taken.
  • Opened* is a Paylink that was opened (clicked on) by the customer. A link could remain in this status if the customer doesn’t complete the checkout.
  • Sent* is a Paylink that was sent via Skipify delivery mechanisms. If both email & SMS are used to deliver a link, this status will reflect either success. The delivery log in the response will indicate which, if any, delivery method failed.
  • Cancelled* means the Paylink has been cancelled via the Invalidate Paylinks endpoints.
  • Partially_Paid* is a Paylink that has been partially paid using Skipify Paylink. You may send a new PayLink to secure the remaining amount.
  • Paid* is a Paylink that has been successfully paid using Skipify Paylink.
  • Refunded* is a Paylink that has refunded the entire amount that the customer paid during checkout.
  • Partially_Refunded* is a Paylink that has refunded a partial amount that the customer paid during checkout.
  • Expired* is a Paylink that has passed the datetime specified by you in the expiration field of the original Paylink.
subTotalintegerTotal amount of lineitems and lineitems tax
customerarrayAll parameters have max 255 char except *name with max 55 char, phoneand paylinkCustomerIdwhich is an UUID max 36 char.
 {
   "accountName": null,
   "email": "[email protected]",
   "phone": "1231231234",
   "firstName": "test",
   "lastName": "test",
   "paylinkCustomerId": "c5b79d45-9619-4db8-bd27-94549bfccaec"
    }
openOrdersarrayList of orders that have been created for the Paylink. Child parameters are UUID max 36 char or ISO8601 datetimestamps.
orderIdstring, nullableID of the associated order in the Skipify system. Max 255 char.
deliveryLogsarrayChild parameters are UUID max 36 char, ISO8601 datetimestamp, max 255 char or enum.
{
  "deliveryLogId": "string", // UUID
  "paylinkId": "string", // UUID
  "deliveryMethod": "EMAIL", // "SMS"
  "status": "NOT_SENT", // "SENT", "FAILED", "DELIVERED", "DEFERRED"
  "messageId": "string",
  "createdAt": "2023-08-10T22:31:36.725Z",
  "updatedAt": "2023-08-10T22:31:36.725Z"
}
eventsarrayExample:
{
  "eventId": "string", // UUID
  "paylinkId": "string", // UUID
  "eventType": "PAID", // "CREATED", "SENT", "OPENED", "EXPIRED", "CANCELLED", "EDITED", "REFUND_ISSUED",  "ATTACHMENT_ADDED", "ATTACHMENT_DELETED", "ACH_RETURNED"
  "oldValue": {
    "status": "OPENED"
  },
  "newValue": {
    "status": "PAID",
    "orderTotal": 121,
    "amountPaid": 121
  }
}
transactionsarrayExample:
{
  "transactionType": "enum", // "Authorization", "Capture","Cancel", "Refund", "Reversal", "Sale", "Validation"
  "transactionStatus": "enum", // "Failed", "Unknown", "Captured", "Authorized", "Reversed", "Cancelled", "Refunded", "PartialCaptured", "PartialRefunded"
  "transactionAmount": integer_minorunits,
  "pspTransactionId": "string", // max 255 char
  "skipifyTransactionId": "string", // UUID max 36 char
  "authorizationCode": "string", // max 255 char
  "paymentMethodType":"enum", // "card", "bank_account"
  "cardBrand": "string", // max 50 char
  "cardLastFour": "string",
  "cardBin":"string", // max 8 char
  "cardExpirationMonth": integer,
  "cardExpirationYear": integer,
  "bankName": "string or null", // max 100 char
  "accountType": "string or null", // max 50 char
  "accountName": "string or null", // max 100 char
   "transactionTimestamp": "timestamp ISO8601 format",
  "billingAddress": {
    "firstName": "string", // max 100 char
    "lastName": "string", // max 100 char
    "address1": "string", // max 100 char
    "address2": "string", // max 100 char
    "address3": "string",// max 100 char
    "city": "string", // max 100 char
    "state": "string", // max 50 char
    "zipCode": "string", // max 20 char
    "country": "string" // max 2 char
  }
}
enableRecurringbooleanWhether or not the paylink was setup to prompt the customer for recurring charges during checkout
recurringChargeConsentbooleanWhether or not the customer consented to recurring charges
recurringMethodIdstringPayment method id for recurring payment. UUID max 36 char

Response Body Example


{   
  "paylinkId": "113ad60b-6c4d-41b5-b4f7-3b2444ebdd25",
  "link": "https://stagecheckout.skipify.com/paylink/process/113ad60b-6c4d-41b5-b4f7-3b2444ebdd25",
  "shortLink": "https://pl-stage.skipify.com/CF62Yt3",
  "merchantInvoiceId": "your unique value",
  "currencyCode": "USD",
  "merchantId": "a1da0dbf-ccde-4265-8ccd-3b987c0a7193",
  "metadata": null,
  "description": "All sales are final",
  "memo": "Thank you for your business",
  "tax": null,
  "shipping": null,
  "orderId": "668570c06f1eder57a289bc7",
  "expiration": "2025-05-22T21:44:00.000Z",
  "sendSms": false,
  "sendEmail": false,
  "createdAt": "2024-07-03T15:39:42.021Z",
  "updatedAt": "2024-07-03T15:40:00.148Z",
  "customerConsent": true,
  "total": 2222,
  "orderTotal": 2222,
  "approvedAmount": 2222,
  "lastSentAt": null,
  "lineItems": [
    {
      "paylinkItemId": "59c741-7741-4c39-9097-7bc27b3f2904",
      "sku": "ABCDEFG123456",
      "paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
      "price": 1111,
      "quantity": 2,
      "tax": null,
      "description": "Blue Hooded Sweatshirt Size L",
      "category": "Men's",
      "metadata": null,
      "createdAt": "2024-07-03T15:39:42.021Z",
      "updatedAt": "2024-07-03T15:39:42.021Z"
    }
  ],
  "deliveryLogs": [],
  "openOrders": [
    {
      "paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
      "orderId": "668570c06f1eder57a289bc7",
      "createdAt": "2024-07-03T15:39:44.766Z"
    }
  ],
  "events": [
    {
      "eventId": "60f993b2-360b-4356-a509-2d5099c5c6b1",
      "paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
      "eventType": "CREATED",
      "oldValue": null,
      "newValue": null,
      "createdBy": "API Key",
      "createdAt": "2024-07-03T15:39:42.021Z"
    },
    {
      "eventId": "cc32a004-5079-4f43-87fe-1d46231bd909",
      "paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
      "eventType": "OPENED",
      "oldValue": {
        "status": "CREATED"
      },
      "newValue": {
        "status": "OPENED"
      },
      "createdBy": null,
      "createdAt": "2024-07-03T15:39:44.766Z"
    },
    {
      "eventId": "0779a8dd-b6f5-4a60-9501-8b681ba2f5f8",
      "paylinkId": "226af40b-6c4d-41b5-b4f7-3b2444ebdd25",
      "eventType": "PAID",
      "oldValue": {
        "status": "OPENED"
      },
      "newValue": {
        "status": "PAID",
        "orderTotal": 2222,
        "approvedAmount": 2222
      },
      "createdBy": null,
      "createdAt": "2024-07-03T15:40:00.148Z"
    }
  ],
  "status": "PAID",
  "subTotal": 2222,
  "customer": {
    "email": null,
    "phone": null,
    "firstName": null,
    "lastName": null,
    "paylinkCustomerId": null
  },
  "attachments": [],
  "transactions": [
    {
      "transactionType": "Sale",
      "transactionStatus": "Captured",
      "transactionAmount": 2222,
      "pspTransactionId": "406503199",
      "skipifyTransactionId": "13223fb91-51c9-42b5-9156-45bc35308e7c",
      "authorizationCode": "870553",
      "paymentMethodType": "card",
      "cardBrand": "mastercard",
      "cardLastFour": "2205",
      "cardBin": "411111",
      "cardExpirationMonth": 12,
      "cardExpirationYear": 25,
      "bankName": null,
      "accountType": null,
      "accountName": null,
      "transactionTimestamp": "2023-11-18T21:02:49.036129Z",
      "billingAddress": {
        "firstName": "Bob",
        "lastName": "Smith",
        "address1": "123 Main St",
        "city": "Longmont",
        "zipCode": "80501",
        "state": "CO",
        "country": "US"
      }
    }
  ],
  "enableRecurring": true,
  "recurringMethodId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

Skipify banner with link to contact us form

Did this page help you?